//
// Classify200ResponseClassificationsInner.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct Classify200ResponseClassificationsInner: Codable, JSONEncodable, Hashable {

    public var name: String?
    public var confidence: Float?
    public var rank: Int?

    public init(name: String? = nil, confidence: Float? = nil, rank: Int? = nil) {
        self.name = name
        self.confidence = confidence
        self.rank = rank
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case name
        case confidence
        case rank
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(name, forKey: .name)
        try container.encodeIfPresent(confidence, forKey: .confidence)
        try container.encodeIfPresent(rank, forKey: .rank)
    }
}

